Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 687840 - net-news/quiterss-0.18.12 depends on deprecated dev-qt/qtwebkit:5
Summary: net-news/quiterss-0.18.12 depends on deprecated dev-qt/qtwebkit:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://github.com/QuiteRSS/quiterss/...
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2019-06-11 00:23 UTC by Andreas Sturmlechner
Modified: 2020-12-16 23:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-06-11 00:23:10 UTC
Unfortunately, project status does not look healthy. A rewrite attempt into 'quiterss2' was started, including qtwebengine support, but did not receive any commits since Sep 2018.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-10-31 22:42:51 UTC
Last-rites candidate after negative upstream response.
Comment 2 Larry the Git Cow gentoo-dev 2020-11-16 23:40:58 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=264f7fda4fc3324ddab122f4bebee044f34c8bd7

commit 264f7fda4fc3324ddab122f4bebee044f34c8bd7
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-16 23:15:06 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-16 23:40:12 +0000

    profiles: Mask net-news/quiterss for removal
    
    See also: https://github.com/QuiteRSS/quiterss/issues/909
    
    Bug: https://bugs.gentoo.org/508160
    Bug: https://bugs.gentoo.org/654968
    Bug: https://bugs.gentoo.org/687840
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2020-12-16 23:04:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ba4b317a644a5ed203ed50e91ae462bd51bd572

commit 1ba4b317a644a5ed203ed50e91ae462bd51bd572
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-12-16 22:45:37 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-12-16 23:03:09 +0000

    net-news/quiterss: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/687840
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 net-news/quiterss/Manifest               |  1 -
 net-news/quiterss/metadata.xml           | 11 ------
 net-news/quiterss/quiterss-0.19.4.ebuild | 58 --------------------------------
 net-news/quiterss/quiterss-9999.ebuild   | 58 --------------------------------
 profiles/package.mask                    |  6 ----
 5 files changed, 134 deletions(-)